Public Member Functions | Public Attributes | Friends | List of all members
FreeHandParserInternal::ScreenMode Struct Reference

struct which defines the screen parameters in FreeHandParserInternal More...

## Public Member Functions
| ScreenMode ()
| constructor More...

## Public Attributes
int | m_function
| the function More...
float | m_angle
| the angle More...
int | m_lineByInch
| the line/inch More...
int | m_value
| unknow value More...

## Friends
std::ostream & | operator<< (std::ostream &o, ScreenMode const &screen)
| operator<< More...

## Detailed Description

struct which defines the screen parameters in FreeHandParserInternal

## Constructor & Destructor Documentation

## ◆ ScreenMode()

FreeHandParserInternal::ScreenMode::ScreenMode | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | ScreenMode const & | screen
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_angle

float FreeHandParserInternal::ScreenMode::m_angle

the angle

Referenced by FreeHandParser::readScreenMode().

## ◆ m_function

int FreeHandParserInternal::ScreenMode::m_function

the function

Referenced by FreeHandParser::readScreenMode().

## ◆ m_lineByInch

int FreeHandParserInternal::ScreenMode::m_lineByInch

the line/inch

Referenced by FreeHandParser::readScreenMode().

## ◆ m_value

int FreeHandParserInternal::ScreenMode::m_value

unknow value

Referenced by FreeHandParser::readScreenMode().

The documentation for this struct was generated from the following file:

- FreeHandParser.cxx